package com.scbfkj.uni.process;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.scbfkj.uni.library.DataFormatUtil;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class DataBaseTest {

    @Test
    void query() throws Exception {
        List<Map<String, Object>> mapList = DataBase.query("""
                {
                  "jdbcUrl": "jdbc:sqlite:D:\\\\code\\\\uni\\\\sqlite.db",
                  "driverClassName":"org.sqlite.JDBC"
                }
                """, "select *  from testtable where age=?", new ArrayList<>() {{
            add(new Object[]{1});
            add(new Object[]{2});
            add(new Object[]{3});
        }});
        System.out.println(DataFormatUtil.toString(mapList));
    }
}